#ifdef uds_table_c

void write_table_n(uint16_t n);
void read_table_n(uint16_t n);
uint16_t table_did_maping(uint16_t did);
uint16_t table_did_maping_write(uint16_t did);
int16_t table_write(uint16_t block);
int16_t table_read(uint16_t block);
int16_t read_sign_cs(void);
void init_table_setup(void);



#else

extern uint16_t table_did_maping(uint16_t did);
extern uint16_t table_did_maping_write(uint16_t did);
extern void write_table_n(uint16_t n);
extern void read_table_n(uint16_t n);

extern int16_t table_write(uint16_t block);
extern int16_t table_read(uint16_t block);
extern int16_t read_sign_cs(void);
extern void init_table_setup(void);


extern uint8_t TABLE_DTC_SEND[MAX_DTC_SEND]; 	


extern uint8_t	TABLE_OEM_PN_ASCII[10];
extern uint8_t	TABLE_ECU_DATE_BCD[4];
extern uint8_t	TABLE_SUPPLYER_SW_NO_ASC[20];
extern uint8_t	TABLE_SUPPLYER_HW_NO_ASC[20];
extern uint8_t RID_10;
extern uint8_t RID_11;
extern uint8_t RID_12;
extern uint8_t RID_13;
extern uint8_t RID_14;
extern uint8_t RID_15;
extern uint8_t RID_10;
extern uint8_t RID_16;
extern uint16_t RID_17;
extern uint16_t RID_18;
extern uint16_t RID_19;
extern uint16_t RID_1A;
extern uint16_t RID_1B;
extern uint16_t RID_1C;
extern uint16_t RID_1D;
extern uint16_t RID_1E;
extern uint16_t RID_1F;
extern uint16_t RID_20;
extern uint16_t RID_21;
extern uint16_t RID_22;
extern uint16_t RID_23;
extern uint16_t RID_24;
extern uint16_t RID_25;
extern uint16_t RID_26;
extern uint16_t RID_27;
extern uint16_t RID_28;



extern const uint32_t EEP_ADDR_TABLE[NTABLE_MAX][8];
#endif

	
